## wxTimerEvent

wxTimerEvent object is passed to the event handler of timer events.

For example:

    class MyFrame : public wxFrame
    {
    public:
        ...
        void OnTimer(wxTimerEvent& event);

    private:
        wxTimer m_timer;
    };

    BEGIN_EVENT_TABLE(MyFrame, wxFrame)
        EVT_TIMER(TIMER_ID, MyFrame::OnTimer)
    END_EVENT_TABLE()

    MyFrame::MyFrame()
           : m_timer(this, TIMER_ID)
    {
        m_timer.Start(1000);    // 1 second interval
    }

    void MyFrame::OnTimer(wxTimerEvent& event)
    {
        // do whatever you want to do every second here
    }

Include files

<wx/timer.h>

See also

wxTimer

Members

wxTimerEvent::GetInterval

### wxTimerEvent::GetInterval

int GetInterval() const

Returns the interval of the timer which generated this event.